-- Customer specific once-script LUDE.
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xFSN#29203.lst
SET DEFINE OFF

-- Nieuwe velden inspectietabel vullen + momentmodus aanzetten ipv controlemodus
-- info = categorie|verantwoordelijke|prijs|toelichting
UPDATE ins_srtcontrole sc
   SET ins_srtcontrole_groep =                                      -- categorie
         SUBSTR(sc.ins_srtcontrole_info,
                1,
                INSTR(sc.ins_srtcontrole_info, '|', 1)-1 ),
       ins_srtcontrole_info =                                     -- toelichting
         SUBSTR(sc.ins_srtcontrole_info,
                INSTR(sc.ins_srtcontrole_info, '|', 1,3)+1 ),
       ins_srtcontrole_opmerking =                          -- verantwoordelijke
         SUBSTR(sc.ins_srtcontrole_info,
                INSTR(sc.ins_srtcontrole_info, '|', 1)+1,
                  INSTR(sc.ins_srtcontrole_info, '|', 1,2)
                - INSTR(sc.ins_srtcontrole_info, '|', 1)-1 ),
       ins_srtcontrole_kosten =                                         -- prijs
         fac.safe_to_number(
             SUBSTR(sc.ins_srtcontrole_info,
                    INSTR(sc.ins_srtcontrole_info, '|', 1,2)+1,
                      INSTR(sc.ins_srtcontrole_info, '|', 1,3)
                    - INSTR(sc.ins_srtcontrole_info, '|', 1,2)-1 ) ),
       ins_srtcontrole_periode = ROUND(ins_srtcontrole_periode/365),
       ins_srtcontrole_eenheid = 4,
       ins_srtcontrole_mode = 0;

-- Tijdelijke extra views weggooien
DROP VIEW lude_v_mjb_componenten1;
DROP VIEW lude_v_mjb_elementen1;
DROP VIEW lude_v_rap_mjb_componenten1;
DROP VIEW lude_v_rap_mjb_elementen1;

BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SPOOL OFF